using System;
using System.Collections.Generic;
using System.Text;
using Yanesdk.Draw;

namespace Yamalib
{
    public static class YamalibConst
    {
        public static readonly int DEFAULT_SCRENN_WIDTH = 640;
        public static readonly int DEFAULT_SCREEN_HEIGHT = 480;

        /// <summary>
        /// 一括でこれを使用すること
        /// </summary>
        /// <returns></returns>
        public static ITexture CreateTexture(String filename)
        {
            GlTexture tex = new GlTexture();
            tex.Load(filename);
            return tex;
        }

        /// <summary>
        /// 一括でこれを使用すること
        /// </summary>
        /// <returns></returns>
        public static ITexture CreateTexture()
        {
            return new GlTexture();
        }

        /// <summary>
        /// フォントリポジトリに指定するデリゲート
        /// </summary>
        public static FontRepository.TextureFactory FONT_REP_TEXTURE_FACTORY =
            delegate
            {
                return new GlTexture();
            };

    }
}
